package com.chaozhanggui.dao.system.dao;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chaozhanggui.dao.system.entity.TbPlussIdCard;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussIdCardMapper extends IService<TbPlussIdCard> {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussIdCard record);

    int insertSelective(TbPlussIdCard record);

    TbPlussIdCard selectByPrimaryKey(Integer id);
    TbPlussIdCard selectCertByUserId(Integer userId, String type);

    int updateByPrimaryKeySelective(TbPlussIdCard record);

    int updateByPrimaryKey(TbPlussIdCard record);
}